General
cancel
Showing results for 
Search instead for 
Did you mean: 

ld: Can't find library or mismatched ABI for -lV3

Alberto Hurtado
Frequent Advisor

ld: Can't find library or mismatched ABI for -lV3

Hi gurus:
I recently installed MicroFocus Server Express and the DBA installs a DataBase SUPRA 2920-00 in a new server HP rx-2620 HP-UX mvi922 B.11.23 U ia64, but just when the developers compiling theirs programs, they failed with the next error:

INVOKING SUPRA-COBOL-PRECOMPILER REL: 2.9
:
: NO PRECOMPILER DETECTED ERRORS
Compiler-Options: -x -c -P
NVI263B.cbl successfully compiled
ld: Can't find library or mismatched ABI for -lV3
Fatal error.
cobpclnk NVI263B finished

PROCESO DE COMPILACION TERMINO CON ERROR ....

Someone knows what happening ?
Thanks in advance,
4 REPLIES
Dennis Handly
Acclaimed Contributor

Re: ld: Can't find library or mismatched ABI for -lV3

libV3.a has been empty for some time. On 10.20 it had some version of setjmp but on 11.00 it is an empty lib. It was removed on 11.23.

Just remove -lV3 from your link line.
whiteknight
Honored Contributor

Re: ld: Can't find library or mismatched ABI for -lV3

Alberto,

possible your libV3.so or libv3.sl is missing or format of libV3.so/libv3.sl lib is 32 bit running on 64 bit environment.

I would recommend you use tusc the compile and see what file we are trying to open.

Forward the logs to Supra Cobol support.

WK



Problem never ends, you must know how to fix it
Dennis Handly
Acclaimed Contributor

Re: ld: Can't find library or mismatched ABI for -lV3

WK: possible your libV3.so or libv3.sl is missing

This part of your answer isn't helpful when I just got through saying that the empty library was obsoleted and removed for 11.23.
whiteknight
Honored Contributor

Re: ld: Can't find library or mismatched ABI for -lV3

Dennis,

ok :-)

WK
Problem never ends, you must know how to fix it